import type { GraphQLSchema } from 'graphql';
import type { GetMeshSourcePayload, MeshHandler, MeshHandlerOptions, MeshSource, YamlConfig } from '@graphql-mesh/types';
export default class JsonSchemaHandler implements MeshHandler {
    private name;
    private config;
    private schemaWithAnnotationsProxy;
    private baseDir;
    private logger;
    private fetchFn;
    private pubsub;
    private importFn;
    constructor({ name, config, baseDir, store, pubsub, logger, importFn, }: MeshHandlerOptions<YamlConfig.Handler['jsonSchema']>);
    getNonExecutableSchema(): Promise<GraphQLSchema>;
    getMeshSource({ fetchFn }: GetMeshSourcePayload): Promise<MeshSource>;
}
